I doubt the software has reached it's limits, yet my personal computer hardware and lack of internet connection has lead me to reach my limits with newer versions. I really despise and have severe negative criticism about how software of the past few years has to be tied into internet use for upgrades. From my beginning years in college back in the 1980's and 1990's until the 2010's decade computers were primarily used to run software, and the user generally had total control of everything they did on a computer. That is the way I like using computers, for software not internet time consuming problems and temptations. Far better and safer considering the nightmare of malicious hacking and malware today. I want to use computers for productivity and the use of software not playing cat and mouse with the bad guys who are much smarter than me with gaining access to your computer and infecting it with destructive code. Again having the internet is far more expensive since you always have to spend more money upgrading hardware and software, and unfortunately I am poor. Perhaps if I had successfully made a good living selling my artwork on line I would feel much different and then it would be worth all the troubles and expense in having the latest and greatest.

I personally like Art Rage 4.0 version better than 4.5 and 5. I have this old plug in program called the KPT collection that works very well with that version on an older Pentium 4 with Windows XP. The plug in does not work on Art Rage 4.5 or 5. I really like this plug-in and the way it works with graphic arts programs. I have also tried this plug in offered by Google called the Nik Collection yet this does not work on any Art Rage programs yet works well on older programs like "U-Lead Photo Impact 5" and Jasc Paint Shop Pro 9" and Corel Paint Shop Pro X. Seems every program has pros and cons depending upon your personal use. I am hoping that Art Rage 5 will work on my AV Linux operating system, and Debian 8.3, using the WINE Application. Have not tried this latest version yet 4 and 4.5 worked on AV Linux fairly well.